Package ru.bitel.bgbilling.kernel.event.events

# Class ChangeTariffByTaskEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ChangeTariffByTaskEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ChangeTariffByTaskEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - Смена тарифа по заданию пользователя.
Событие вызывается при необходимости смены тарифа через Web.
Если в событии устанавливается флаг processed, стандартная процедура смены тарифа не производится. Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ChangeTariffByTaskEvent()`
  ``
  `ChangeTariffByTaskEvent(int userId, int cid, TariffGroup tariffGroup, ContractTariff fromTariff, TariffPlan toTariff, Date fromDate)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Возвращает ошибку, установленную скриптом.
  `Date`
  `getFromDate()`
  Возвращает дату, с которой производится смена тарифов.
  `ContractTariff`
  `getFromTariff()`
  Возвращает тариф, с которого производится переход.
  `String`
  `getMessage()`
  Возвращает сообщение, установленное скриптом.
  `TariffGroup`
  `getTariffGroup()`
  Возвращает группу тарифов.
  `TariffPlan`
  `getToTariffPlan()`
  Возвращает тариф, на который производится переход.
  `boolean`
  `isProcessed()`
  Возвращает признак обработанности события скриптом.
  `void`
  `setError(String error)`
  Установка ошибки скриптом.
  `void`
  `setMessage(String message)`
  Установка сообщения.
  `void`
  `setProcessed(boolean processed)`
  Установка флага обработанности события скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeTariffByTaskEvent

    protected ChangeTariffByTaskEvent()

  - ### ChangeTariffByTaskEvent

    public ChangeTariffByTaskEvent(int userId, int cid, TariffGroup tariffGroup, ContractTariff fromTariff, TariffPlan toTariff, Date fromDate)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `tariffGroup` - - группа тарифа
      `fromTariff` - - id тарифа с которого переключается ползователь
      `toTariff` - - id тарифа на который переключается пользователь
      `fromDate` - - дата, с которой производится смена тарифов.

- ## Method Details

  - ### getTariffGroup

    public TariffGroup getTariffGroup()
    Возвращает группу тарифов.
    Returns:
      tariffGroup - группа тарифов

  - ### getFromTariff

    public ContractTariff getFromTariff()
    Возвращает тариф, с которого производится переход.
    Returns:
      fromTariff - тариф договора

  - ### getToTariffPlan

    public TariffPlan getToTariffPlan()
    Возвращает тариф, на который производится переход.
    Returns:
      fromTariff - тариф договора

  - ### isProcessed

    public boolean isProcessed()
    Возвращает признак обработанности события скриптом. В этом случае штатная смена тарифа не выполняется.
    Returns:
      processed - признак обработанности события. true - обработано, false - не обработано.

  - ### setProcessed

    public void setProcessed(boolean processed)
    Установка флага обработанности события скриптом.
    Parameters:
      `processed` - - флаг обработанности события скриптом

  - ### getMessage

    public String getMessage()
    Возвращает сообщение, установленное скриптом.
    Returns:
      message - сообщение

  - ### setMessage

    public void setMessage(String message)
    Установка сообщения.
    Parameters:
      `message` - - сообщение

  - ### getError

    public String getError()
    Возвращает ошибку, установленную скриптом.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:
      error ошибка

  - ### setError

    public void setError(String error)
    Установка ошибки скриптом.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` - - ошибка

  - ### getFromDate

    public Date getFromDate()
    Возвращает дату, с которой производится смена тарифов.
    Returns:
      fromDate - дата